INFOCMP(1)

NAME
infocmp - compare or print compiled terminfo descriptions

SYNOPSIS
infocmp [-1acnqux] [-A database] [-B database] [-w cols] [term ...]

DESCRIPTION
The infocmp reconstructs the first available terminfo(5) definition found for term and prints the result in a terminfo(5) format. Capability types are grouped together and new types start new lines, first flags, then numbers, then strings. Capabilities are sorted by their name. If a second term is given then the capabilities are compared against each other.

The following options are available:

-1  Print one capability per line.

-A database
    Use this database to load the first terminal definition.

-B database
    Use this database to load subsequent terminal definitions.

-a  Include commented out capabilities. This only works if the database was compiled with the -a flag passed to tic(1). This also sets the -x flag as infocmp retains commented out capabilities as non standard.

-c  Print capabilities common to each definition.

-n  Print capabilities that do not exist in either definition.

-q  Make the comparison listing shorter by omitting subheadings and using - for absent capabilities, @ for canceled capabilities rather than NULL.

-u  Build a new terminal description for the first terminal description, using subsequent terminal descriptions. This also sets the -a flag.

-w cols
    Limit the width to cols.

-x  Include non-standard capabilities. More -x only handles non-standard capabilities. This only works if the database was compiled with the -x flag passed to tic(1).

ENVIRONMENT

COLUMNS
    Override columns returned by the output terminal. -w cols supersedes this.

TERM
    infocmp uses the contents of the TERM environment variable if no terminal name is given on the command line.

EXIT STATUS

SEE ALSO
tic(1), terminfo(5)

STANDARDS
The infocmp utility outputs information that conforms to the xcurses4.2 standard.

AUTHORS
Roy Marples <roy@NetBSD.org>